aboutsummaryrefslogtreecommitdiffstats
path: root/x11/zsnes/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-11-13 20:38:29 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-11-13 20:38:29 +0000
commit6eccd22bb9dee1c34100d4d50e3d03e09f598058 (patch)
tree777d508a7e88f76ae42874b5dddec1b645ce34e1 /x11/zsnes/APKBUILD
parent2a4bff9a06f8be14217e826b993f2ea13d1a6bf0 (diff)
downloadaports-6eccd22bb9dee1c34100d4d50e3d03e09f598058.tar.gz
aports-6eccd22bb9dee1c34100d4d50e3d03e09f598058.tar.bz2
aports-6eccd22bb9dee1c34100d4d50e3d03e09f598058.tar.xz
x11/zsnes: new aport
Super Nintendo emulator http://www.zsnes.com/
Diffstat (limited to 'x11/zsnes/APKBUILD')
-rw-r--r--x11/zsnes/APKBUILD49
1 files changed, 49 insertions, 0 deletions
diff --git a/x11/zsnes/APKBUILD b/x11/zsnes/APKBUILD
new file mode 100644
index 0000000000..5e7d5d2df8
--- /dev/null
+++ b/x11/zsnes/APKBUILD
@@ -0,0 +1,49 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=zsnes
+pkgver=1.51
+pkgrel=0
+pkgdesc="Super Nintendo emulator"
+url="http://www.zsnes.com/"
+license="GPL"
+makedepends="sdl-dev libpng-dev ncurses-dev mesa-dev automake autoconf nasm"
+subpackages="$pkgname-doc"
+source="http://downloads.sourceforge.net/sourceforge/$pkgname/${pkgname}151src.tar.bz2
+ $pkgname.desktop
+ zsnes.patch
+ zsnes-1.51-CC-quotes.patch
+ zsnes-1.51-depbuild.patch
+ zsnes_icon.png"
+
+build ()
+{
+ cd "$srcdir"/${pkgname}_${pkgver%.*}_${pkgver#*.}
+ patch -p1 -i ../zsnes-1.51-CC-quotes.patch || return 1
+ patch -p1 -i ../zsnes-1.51-depbuild.patch || return 1
+ patch -p1 -i ../zsnes.patch || return 1
+ cd "$srcdir"/${pkgname}_${pkgver%.*}_${pkgver#*.}/src
+ aclocal && autoconf || return 1
+ export GCC_SPECS=/usr/share/gcc/hardenednopie.specs
+ ./configure --prefix=/usr \
+ --mandir=/usr/share/man \
+ x_libraries=/usr/lib \
+ force_arch=i486 \
+ --enable-release || return 1
+ make makefile.dep
+ make || return 1
+}
+
+package() {
+ cd "$srcdir"/${pkgname}_${pkgver%.*}_${pkgver#*.}/src
+ make DESTDIR="$pkgdir" install
+ install -Dm644 "$srcdir"/zsnes.desktop \
+ "$pkgdir"/usr/share/applications/zsnes.desktop
+ install -Dm644 "$srcdir"/zsnes_icon.png \
+ "$pkgdir"/usr/share/pixmaps/zsnes_icon.png
+ mv "$pkgdir"/usr/man "$pkgdir"/usr/share
+}
+md5sums="7071186bf80632ae88a153239498d8c9 zsnes151src.tar.bz2
+b100b2aa342c551167d7c5dcdcde9dd4 zsnes.desktop
+4df831b3d87a35949bcf3fd5547decb1 zsnes.patch
+69ca17611c0d4a21529a95eb37e05c2f zsnes-1.51-CC-quotes.patch
+994af091cbb8f17f82d78c0ca89ac549 zsnes-1.51-depbuild.patch
+b5260c02adfc3b7ff725041214b00bfd zsnes_icon.png"